cgIsPass(3)

NAME
cgIsPass - determine if a pass handle references a valid pass

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsPass( CGpass pass );

PARAMETERS

pass
    The pass handle to check.

RETURN VALUES
Returns CG_TRUE if pass references a valid pass.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsPass returns CG_TRUE if pass references a valid pass, CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsPass was introduced in Cg 1.4.

SEE ALSO
cgCreatePass, cgGetFirstPass, cgGetNamedPass, cgGetNextPass, cgGetPassName, cgGetPassTechnique